Skip to main content
POST
/
intelligence
/
queue
Send content to the intelligence queue
curl --request POST \
  --url https://api.sleekplan.com/v1/intelligence/queue \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "text": "<string>",
  "title": "<string>",
  "ref": "https://linktosource.com/path",
  "user_name": "<string>",
  "user_email": "jsmith@example.com",
  "service": "internal_support"
}
'

Documentation Index

Fetch the complete documentation index at: https://sleekplan.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
text
string
required
title
string
ref
string
Example:

"https://linktosource.com/path"

user_name
string
Pattern: ^[a-z0-9_]+
user_email
string<email>
service
string
Pattern: ^[a-z0-9_]+
Example:

"internal_support"

Response

200

OK